/*
** Bodyguard random-effects project
**
** TOENAIL (nailbig) analyses
**
** January 23, 2008
*/

libname n '\document\gg';
libname m '\document\verbeke';


proc nlmixed data=n.toenail; 
title 'NLMIXED with estimates, and gamma-predictions';
mean = beta0 + b0 + (beta1+b1)*time + beta2*treat + beta3*treat*time;
model nailbig ~ normal(mean,sigma2);
random b0 b1 ~ normal([0, 0],[d11, d12, d22]) subject=idnum; 
predict (beta0 + b0 + (beta1+b1)*time + beta2*treat + beta3*treat*time) out=hulp1;
predict (beta0 + (beta1)*time + beta2*treat + beta3*treat*time) out=hulp2;
predict b0 out=hulp3;
predict b1 out=hulp4;
/*fractie=ni*(beta0+beta1*dose2)-(sigma2+ni*d)/gemid;
ebgamma=(fractie*fractie+ni*(sigma2+ni*d))/ni/fractie;
predict ebgamma out=hulp2;
*/
run; 

data hulp1;
set hulp1;
ebnormal=pred;
run;

data hulp2;
set hulp2;
margmean=pred;
run;

data hulp3;
set hulp3;
b0=pred;
run;

data hulp4;
set hulp4;
b1=pred;
run;

data m.toenail05;
merge hulp1 hulp2 hulp3 hulp4;
keep nailbig time treat idnum ebnormal margmean b0 b1;
run;

proc print data=m.toenail05;
run;
